<?php
/**
* @title   miniTEK FAQ Book
* @version   1.1
* @copyright   Copyright (C) 2011 Minitek, All rights reserved.
* @license   GNU General Public License version 2 or later.
* @author url   http://www.minitek.gr/
* @author email   info@minitek.gr
* @developer   Ioannis Maragos - minitek.gr
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

abstract class FaqBookHelper
{
	
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_FAQBOOK_DASHBOARD'),
			'index.php?option=com_faqbook&view=dashboard',
			$vName == 'dashboard'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_FAQBOOK_CATEGORIES'),
			'index.php?option=com_categories&extension=com_faqbook',
			$vName == 'categories'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_FAQBOOK_FAQS'),
			'index.php?option=com_faqbook&view=items',
			$vName == 'items'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_FAQBOOK_ABOUT'),
			'index.php?option=com_faqbook&view=about',
			$vName == 'about'
		);

		if ($vName=='categories') {
			JToolBarHelper::title(
				JText::sprintf('COM_FAQBOOK',JText::_('com_faqbook')),
				'');
		}
	}
	
}
?>