<?php
/**
* @title   miniTEK FAQ Book
* @version   1.1
* @copyright   Copyright (C) 2011 Minitek, All rights reserved.
* @license   GNU General Public License version 2 or later.
* @author url   http://www.minitek.gr/
* @author email   info@minitek.gr
* @developer   Ioannis Maragos - minitek.gr
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Show page title
if ( $this->params->def( 'show_page_heading', 1 ) ) {
  if ( $this->params->def( 'page_heading' ) ) {
	echo '<h2 class="componentheading'. $this->params->get( 'pageclass_sfx' ).'">'
	    . $this->params->get('page_heading')
	    . '</h2>';
	} else {
	echo '<h2 class="componentheading'. $this->params->get( 'pageclass_sfx' ).'">'
	    . $this->params->get('page_title')
	    . '</h2>';
	}
}

// Get category id
$this_catid = JRequest::getVar( 'id', '' );
// Get Itemid
$itemid = JRequest::getVar( 'Itemid', '' );
// Get user id
$user = &JFactory::getUser();
$user_id = $user->id;
// Get Subcategories
$model = &$this->getModel();
$subcategories = $model->getSubCategories($this_catid);	
$categoryname = $model->getCategoryName($this_catid);		
$token = JUtility::getToken();
JRequest::checkToken('request');
?>

<head>
<script type="text/javascript" src="components/com_faqbook/js/jquery-1.6.min.js"></script>
<script type="text/javascript" src="components/com_faqbook/js/jquery.scrollTo-1.4.2-min.js"></script>
<script type="text/javascript" src="components/com_faqbook/js/jquery.localscroll-1.2.7-min.js"></script>
<?php if ($this->params->get('subcategories_left_list_scroll')) { ?>
<script type="text/javascript">
     jQuery.noConflict();																	
		 jQuery(document).ready(function(){																	
				jQuery.localScroll();									
		 });							
</script>		
<?php } ?>
</head>
		 
<div id="category">

		 

		 <?php if ($this->params->get('subcategories_left_list')) { ?>
		 <div id="left-list">
		 
		 <div id="navigation">
		 
		 			<div class="cat-name">
							<p><?php echo $categoryname->title; ?></p>
					</div>
					
		 			<ul>
					
							<?php	
						  foreach ( $subcategories as $subcategory) { ?>
							
							<li>
																		
							<a href="index.php?option=com_faqbook&view=category&id=<?php echo $this_catid;?>&Itemid=<?php echo $itemid;?>#subcat<?php echo $subcategory->id; ?>" rel="nofollow">
							<?php 
							echo $subcategory->title;
							?>
							<i></i>
							</a>						
							
							</li>
							
							<?php } ?>
					
					</ul>
					
					<?php if ($this->params->get('new_faq') && ($user_id!=0 || ($user_id==0 && $this->params->get('new_faq_guest')) )) { ?>
					
					<script type="text/javascript">
					function submitbutton() {
					var f = document.faqForm; 			
  		
					if((f.title.value) == '') {
					alert("<?php echo (JText::_( 'ALERT_MISSING_QUESTION' ));?>");
					f.title.focus();			
					}
					else{
					f.submit();
					}
					}					 
					</script>
					
					<div id="ask">
							<a href="javascript:void(0);" id="ask-new" rel="nofollow"><i></i><?php echo JText::_('Ask a new question'); ?></a>
							<div id="new-faq-form" style="display:none;">
							
									<form action="index.php?option=com_faqbook&view=category&id=<?php echo $this_catid;?>&Itemid=<?php echo $itemid;?>#SELF" method="post" name="faqForm" id="faqForm" >									
										<fieldset>	
										
											<textarea name="title" id="title" rows="2" ></textarea>
											
											<input type="button" class="button_submit" value="<?php echo (JText::_( 'Submit question' )); ?>" onclick="javascript:submitbutton();" /></td>
										  <input type="button" class="button_cancel" value="<?php echo (JText::_( 'Cancel' )); ?>" onclick="javascript:void(0);" id="ask-cancel" /></td>
																	
											<input type="hidden" name="option" value="com_faqbook" />
											<input type="hidden" name="creator" id="creator" value="<?php echo $user_id;?>" />
											<input type="hidden" name="catid" id="catid" value="<?php echo $this_catid;?>" />
											<input type="hidden" name="published" id="published" value="0"/>
											<input type="hidden" name="access" id="access" value="0"/>
											<input type="hidden" name="task" value="save" />		
										</fieldset>	
									</form>
									
							</div>
					</div>
					<?php } ?>
					
					<script type="text/javascript">		
																					
									jQuery(document).ready(function(){								
											
											jQuery('#ask-new').click(function () {
																																												
													jQuery('#new-faq-form').show();
													jQuery('#ask').addClass('active');																
											});	
											jQuery('#ask-cancel').click(function () {
																																												
													jQuery('#new-faq-form').hide();
													jQuery('#ask').removeClass('active');														
											});	
																																	
			 					 	});										
					 </script>
					
		 </div><!--navigation-->
		 
		 </div>
		 <?php } else { ?>
		 <div id="navigation"></div>
		 
		 <?php if ($this->params->get('new_faq') && ($user_id!=0 || ($user_id==0 && $this->params->get('new_faq_guest')) )) { ?>
					
					<script type="text/javascript">
					function submitbutton() {
					var f = document.faqForm; 			
  		
					if((f.title.value) == '') {
					alert("<?php echo (JText::_( 'ALERT_MISSING_QUESTION' ));?>");
					f.title.focus();			
					}
					else{
					f.submit();
					}
					}					 
					</script>
					
					<div id="ask-w">
							<a href="javascript:void(0);" id="ask-new" rel="nofollow"><i></i><?php echo JText::_('Ask a new question'); ?></a>
							<div id="new-faq-form" style="display:none;">
							
									<form action="index.php?option=com_faqbook&view=category&id=<?php echo $this_catid;?>&Itemid=<?php echo $itemid;?>#SELF" method="post" name="faqForm" id="faqForm" >									
										<fieldset>	
										
											<textarea name="title" id="title" rows="2" ></textarea>
											
											<input type="button" class="button_submit" value="<?php echo (JText::_( 'Submit question' )); ?>" onclick="javascript:submitbutton();" /></td>
										  <input type="button" class="button_cancel" value="<?php echo (JText::_( 'Cancel' )); ?>" onclick="javascript:void(0);" id="ask-cancel" /></td>
																	
											<input type="hidden" name="option" value="com_faqbook" />
											<input type="hidden" name="creator" id="creator" value="<?php echo $user_id;?>" />
											<input type="hidden" name="catid" id="catid" value="<?php echo $this_catid;?>" />
											<input type="hidden" name="published" id="published" value="0"/>
											<input type="hidden" name="access" id="access" value="0"/>
											<input type="hidden" name="task" value="save" />		
										</fieldset>	
									</form>
									
							</div>
					</div>
					<?php } ?>
					
					<script type="text/javascript">		
																					
									jQuery(document).ready(function(){								
											
											jQuery('#ask-new').click(function () {
																																												
													jQuery('#new-faq-form').show();
													jQuery('#ask').addClass('active');																
											});	
											jQuery('#ask-cancel').click(function () {
																																												
													jQuery('#new-faq-form').hide();
													jQuery('#ask').removeClass('active');														
											});	
																																	
			 					 	});										
					 </script>
		 
		 <?php } ?>
		 
		 <div id="<?php if ($this->params->get('subcategories_left_list')) { echo 'right-list'; } else { echo 'one-list'; } ?>">
		 				
							<?php	
						  foreach ( $subcategories as $subcategory) { ?>
							
							<div id="subcat<?php echo $subcategory->id; ?>">
							<h3>
							<?php 
							echo $subcategory->title;
							?>
							<a href="index.php?option=com_faqbook&view=category&id=<?php echo $this_catid;?>&Itemid=<?php echo $itemid;?>#navigation" rel="nofollow" title="<?php echo JText::_('Top');?>"><i></i></a>
							</h3>
							</div>
							
							<?php 
							// Get subcategory items
							$model = &$this->getModel();
							$items = $model->getSubCategoryItems($subcategory->id);	?>
							
							<ul>
							
									<?php
									foreach ($items as $item) { ?>
									
									<script type="text/javascript">	
																							
									jQuery(document).ready(function(){								
											jQuery('#answerButton<?php echo $item->id; ?>').click(function () {
																				
													<?php if ($this->params->get('faq_slide')==1) { ?>												
													jQuery('#answer<?php echo $item->id; ?>').slideToggle('slow');
													<?php } else { ?>
													jQuery('#answer<?php echo $item->id; ?>').toggle();
													<?php } ?>
													jQuery('#answerButton<?php echo $item->id; ?>').toggleClass('active');																									
													jQuery('#answer<?php echo $item->id; ?>start').toggle();	
													//jQuery('#vote<?php echo $item->id; ?>').toggle();	
													
											});																													
			 					 	});										
									</script>
									
									<li>
									
									<div id="faq<?php echo $item->id; ?>">
									<a href="javascript:void(0);" id="answerButton<?php echo $item->id; ?>">
									<i></i>
									
									<?php 
									echo $item->title; ?>
									
									</a>
											 
											 <div class="answer-box">									 
											 <?php if ($this->params->get('faq_introtext') && !$this->params->get('faq_slide')) { ?>
											 <div id="answer<?php echo $item->id; ?>start" class="answer-introtext">
											 <?php 
											 $short_text = substr($item->content, 0, $this->params->get('faq_introtext_chars'));
											 echo $short_text;
											 if (strcspn($short_text,"")>=$this->params->get('faq_introtext_chars')) {
											 echo "...";
											 }
											 ?>
											 </div>
											 <?php } ?>
											 
											 <div id="answer<?php echo $item->id; ?>" style="display:none;" class="answer">
											 <?php echo $item->content; ?>	
											 
											       <?php if ($this->params->get('faq_voting') && ($user_id!=0 || ($user_id==0 && $this->params->get('guest_voting')) )) { ?>
											 			 <div class="vote<?php echo $item->id;?>" id="vote">
														 			<div class="vote-div">
																	     <p><?php echo JText::_('Was this helpful');?></p>
																			 <?php 
																			 $this_faq = $item->id; 
																			 //$rating_url = 'components/com_faqbook/views/category/tmpl/rating.php?&id='.$this_faq;
																			 ?>

																			 <script type="text/javascript">
																			 
																			 		 jQuery(document).ready(function(){	
																					 
																			 				 jQuery(".thumb_up<?php echo $item->id; ?>, .thumb_down<?php echo $item->id; ?>").click(function(){
            																	 							 var element = jQuery(this).get(0);
            																								 jQuery.ajax({
               																							  url         : jQuery(this).attr('href'),              																							
                																							dataType:   'json'
            																									});
																															
																															jQuery('.vote<?php echo $item->id;?>').hide();	
																							     						jQuery('#feedback<?php echo $item->id; ?>').toggle();	
																															
            																									return false;																													
        																			 });																					 
																			     });	
																			 </script>

				 															 <div class="vote-box<?php echo $item->id; ?>" id="vote-box">					
																		 
																		 	 		<div class="thumb-box">																		
																					<a class="moderate_tools thumb_up<?php echo $item->id; ?>" id="thumb_up" onclick="javascript: return false;" href="<?php echo JRoute::_("index.php?option=com_faqbook&view=category&task=thumbup&id=".$item->id."&Itemid=".$itemid."&token=".$token);?>" title="<?php echo jText::_('Vote up');?>">                                   			
                                					<i></i>
																					<span><?php echo $item->votes_up;?></span>
																					</a>																				
																					</div>
																					<div class="thumb-box">
                                					<a class="moderate_tools thumb_down<?php echo $item->id; ?>" id="thumb_down" onclick="javascript: return false;" href="<?php echo JRoute::_("index.php?option=com_faqbook&view=category&task=thumbdown&id=".$item->id."&Itemid=".$itemid."&token=".$token);?>" title="<?php echo jText::_('Vote down');?>">									       			
                                					<i></i>
																					<span><?php echo $item->votes_down;?></span>
																					</a>																			
																					</div>
																					
																			 </div>
																	</div>
																	
											 			 </div><!--vote-->
											 				
														 <div id="feedback<?php echo $item->id; ?>" class="feedback" style="display:none;">
														 			<i></i><p><?php echo JText::_('Thank you for the feedback');?></p>
														 </div>
														 <?php } ?>
																			 
											 </div>									 
											 
											 </div><!--answer-box-->
											 
									</div>							
														
									</li>
									
									<?php } ?>
							
							</ul>			
							
							<?php } ?>
						 
		 </div>

		 <div style="background:#fff;color:#aaa;text-align:right;">
		 <script type="text/javascript">
		 document.write('<?php echo JText::_('m1p'); ?> <a href="http://www.minitek.gr/" style="color:#aaa" rel="nofollow" target="_blank"><?php echo JText::_('m1'); ?></a>');	 			
		 </script>
		 </div>
		 
</div>	 