<?php
/**
* @title   miniTEK FAQ Book
* @version   1.1
* @copyright   Copyright (C) 2011 Minitek, All rights reserved.
* @license   GNU General Public License version 2 or later.
* @author url   http://www.minitek.gr/
* @author email   info@minitek.gr
* @developer   Ioannis Maragos - minitek.gr
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Show page title
if ( $this->params->def( 'show_page_heading', 1 ) ) {
  if ( $this->params->def( 'page_heading' ) ) {
	echo '<h2 class="componentheading'. $this->params->get( 'pageclass_sfx' ).'">'
	    . $this->params->get('page_heading')
	    . '</h2>';
	} else {
	echo '<h2 class="componentheading'. $this->params->get( 'pageclass_sfx' ).'">'
	    . $this->params->get('page_title')
	    . '</h2>';
	}
}
?>

<div class="index_categories">	

<?php					 

		 if ($this->params->get('show_message')==1) 
		 { ?>
	 	 	 <h1><?php echo $this->params->get('message_name'); ?></h1>
		 <?php } ?>
		 
		 <?php
		 // Show 1st level Categories
		 if (!empty($this->rows)) { ?>
		    
						 <ul>		
						 
		 				 <?php	
						 foreach ( $this->rows as $row) { 
						
						 // Decode json for image path
						 $json = $row->params;
						 $obj = json_decode($json);
						 
						 // Get Subcategories
						 $model			= &$this->getModel();
						 $subcategories = $model->getIndexSubCategories($row->id);	 	 
						 ?>
						 
						 <li>					 		    
								 <a href="<?php echo JRoute::_(FaqBookHelperRoute::getCategoryRoute($row->id, 'category')); ?>">
								 
								 <?php 								 
										// Show Subcategories number
										if ($this->params->get('subcategories_number')==1) { ?>
								 	
									 <div class="parent_left">
																
										<?php 
										// Show parent image
										if ($this->params->get('parent_image')) { ?>
										<div class="parent_img">
												 <img src="<?php echo $obj->{'image'};?>" title="<?php echo $row->title;?>" width="48" />
										</div>
						 		 
								 		<div class="parent_data_82">
								 				 <?php echo $row->title;
												 if ($this->params->get('parent_description')) { ?>
						 		 				 <span><?php echo $row->description;?></span>		 
						 		 				 <?php } ?>
										</div>
										
										<?php 
										// No parent image
										} else { ?>
										<div class="parent_data_100">
								 				 <?php echo $row->title;
						 		 				 if ($this->params->get('parent_description')) { ?>
						 		 				 <span><?php echo $row->description;?></span>		 
						 		 				 <?php } ?>
										</div>
										<?php } ?>
									 
									 </div><!--parent_left-->
									 						 
									 <div class="parent_right">
									 
									 			<div class="subcats_num">
												<?php 										
												$numsubcat=0;
						            foreach ( $subcategories as $subcategory ) {										            		
						 						$numsubcat++;										
						 						} ?>	
												<span class="num"><?php echo $numsubcat;?></span>
												<span class="str"><?php echo JText::_('Subcategories');?></span>
												</div>
									 
									 </div><!--parent_right-->
									 
									 <?php } ?>
									 
									 <?php 
										// Don't show Subcategories number
										if ($this->params->get('subcategories_number')==0) { ?>
								 	
									 <div class="parent_left_wide">
																
										<?php 
										// Show parent image
										if ($this->params->get('parent_image')==1) { ?>
										<div class="parent_img">
												 <img src="<?php echo $obj->{'image'};?>" title="<?php echo $row->title;?>" width="48" />
										</div>
						 		 
								 		<div class="parent_data_82">
								 				 <?php echo $row->title;
												 if ($this->params->get('parent_description')) { ?>
						 		 				 <span><?php echo $row->description;?></span>		 
						 		 				 <?php } ?>
										</div>
										
										<?php 
										// No parent image
										} else { ?>
										<div class="parent_data_100">
								 				 <?php echo $row->title;
						 		 				 if ($this->params->get('parent_description')) { ?>
						 		 				 <span><?php echo $row->description;?></span>		 
						 		 				 <?php } ?>
										</div>
										<?php } ?>
									 
									 </div><!--parent_left_wide-->
									 
									 <?php } ?>
									 
								 </a>		
						 </li>
						 
						 <?php } ?>
						 
						 </ul>
				
		 <?php } ?>
		 
</div>